For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/tools/post-api-tools-v1dns-lookup.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
DNS lookup
POST
/api/tools/v1/dns-lookup
1const response = await fetch("https://reloop.sh/api/tools/v1/dns-lookup", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 "Content-Type": "application/json",6 },7 body: JSON.stringify({8 "domain": "ohraya.com",9 "recordType": "recordType_value"10})11});12
13const data = await response.json();1{2 "query": "example_query",3 "domain": "send.example.com",4 "recordType": "example_recordType",5 "resolvedAt": "2026-03-23T10:00:00.000Z",6 "responseTimeMs": 0,7 "nameserver": "example_nameserver",8 "provider": {9 "id": "con_123456789",10 "name": "Newsletter",11 "website": "example_website",12 "category": "managed_dns",13 "description": "example_description"14 },15 "records": [16 {17 "type": "example_type",18 "name": "Newsletter",19 "value": "example_value",20 "ttl": 0,21 "priority": 0,22 "details": {23 "company": "Reloop",24 "role": "Developer"25 }26 }27 ],28 "diagnostics": [29 {30 "id": "con_123456789",31 "name": "Newsletter",32 "category": "dns",33 "status": "pass",34 "message": "Contact already exists",35 "details": "example_details"36 }37 ],38 "summary": {39 "totalRecords": 0,40 "hasA": true,41 "hasAaaa": true,42 "hasMx": true,43 "hasTxt": true,44 "hasCname": true,45 "hasNs": true,46 "hasSoa": true,47 "hasDmarc": true,48 "hasSpf": true,49 "dmarcPolicy": "example_dmarcPolicy",50 "spfRecord": "example_spfRecord"51 }52}Body Parameters
domainstringRequired
Domain name, hostname, IP address, or query with prefix (e.g. ohraya.com, a:ohraya.com, mx:ohraya.com).
- Minimum length:
1 - Maximum length:
255
recordType"ANY" | "A" | "AAAA" | "MX" | "TXT" | "CNAME" | "NS" | "SOA" | "CAA" | "PTR" | "SRV"
Possible values: ANY | A | AAAA | MX | TXT | CNAME | NS | SOA | CAA | PTR | SRV
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.